require('ttvcore')
 
 
 m_simpleTV.OSD.ShowMessage_UTF8(ttvcore.RuStr("TorrentTV - начало обновления") ,0xFF00,10)
 local m3ustr = ttvcore.GetPlstAsM3u()
 
 if m3ustr==nil or (not string.match(m3ustr,'EXTINF')) then 
   --m_simpleTV.OSD.ShowMessage("TorrentTV - пустой плейлист" ,255,5)
   return 
 end
 
 local  tmpName = m_simpleTV.Common.GetTmpName()
 --local  tmpName = m_simpleTV.MainScriptDir .. 'user\\TorrentTV\\TorrentTV_tmp.m3u'
 if tmpName==nil then 
		return 
 end 
 
 local tfile = io.open(tmpName,'w+')
 if tfile==nil then 
	os.remove(tmpName)
	return
 end
  
 m3ustr = m_simpleTV.Common.string_toUTF8(m3ustr,1251)    -- для не русских системных локалей надо использовать utf-8 , ANSI у них своё
 
 tfile:write(m3ustr)
 tfile:close() 
  
  --опции  для загрузки плейлиста 
local p={}
p.TypeSourse = 1
p.DeleteBeforeLoad = 0
p.TypeSkip   = 1
p.TypeFind =   0
p.AutoSearch = 1
p.NumberM3U =  1
p.Find_Group = 1
p.TypeCoding = 1  --  -1-auto  0 - plane text  1- UTF8  2- unicode
p.BorpasFileFormat=0
p.ExtFilter = 'TorrentTV'
p.ExtFilterLogo = '..\\Channel\\logo\\Icons\\torrent.png'
p.ExtFilterLogoForce = 0
p.AutoNumber = 0
p.UpdateID=ttvcore.UpdateID

local err,add,ref,names = m_simpleTV.Common.LoadPlayList (tmpName,p,0,true,false)
os.remove(tmpName)

if err==true then
     local mess = "TorrentTV - каналы обновлены (" .. add .. ")"
	 if add > 0 and add < 25 then 
	    names = string.gsub(names,'%$end','\n')
		mess = mess .. '\n' .. names
	 end
	 
	 m_simpleTV.OSD.ShowMessage_UTF8(ttvcore.RuStr(mess),0xFF00,5)
	 
end
 
ttvcore.RemoveEmptyGroups()
